path: /build/build/live-media-plugins-2024.04.19.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-libressl ssl" emerge media-plugins/live -pv -t && \
    USE="-libressl ssl" emerge -j ${JOBS} --nodeps media-plugins/live
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/live && luet-portage --dir /pkgdir/live
    media-plugins/live && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:cbc949028f99403f3ceeaf92593b79b932656682b6737eb1f164711ad8663d3f
  package:
    name: live
    version: 2024.04.19
    category: media-plugins
    use_flags:
    - -libressl
    - ssl
    requires:
    - name: libmpeg2
      version: '>=0'
      category: media-libs
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Libraries for standards-based RTP/RTCP/RTSP multimedia streaming
    uri:
    - http://www.live555.com/
    license: LGPL-2.1
    buildtimestamp: 2024-04-27 09:35:21.893324338 +0000 UTC m=+300.252373988
    labels:
      BDEPEND: virtual/pkgconfig
      DEPEND: ssl? ( !libressl? ( dev-libs/openssl:0= ) libressl? ( dev-libs/libressl:0=
        ) )
      IUSE: libressl ssl
      RDEPEND: ssl? ( !libressl? ( dev-libs/openssl:0= ) libressl? ( dev-libs/libressl:0=
        ) )
      emerge.packages: media-plugins/live
      kit: media-kit
      original.package.name: media-plugins/live
      original.package.slot: "0"
      original.package.version: 2024.04.19
    treedir: /build/packages
  package_dir: /pkgdir/live
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 05da5ec1dcd91e85b0822e03b08f7f1bf74489cd3230e9cdf64263933cc39fd6
compressiontype: zstd
files:
- usr/bin/live555MediaServer
- usr/bin/live555ProxyServer
- usr/include/BasicUsageEnvironment/BasicHashTable.hh
- usr/include/BasicUsageEnvironment/BasicUsageEnvironment.hh
- usr/include/BasicUsageEnvironment/BasicUsageEnvironment0.hh
- usr/include/BasicUsageEnvironment/BasicUsageEnvironment_version.hh
- usr/include/BasicUsageEnvironment/DelayQueue.hh
- usr/include/BasicUsageEnvironment/HandlerSet.hh
- usr/include/UsageEnvironment/Boolean.hh
- usr/include/UsageEnvironment/HashTable.hh
- usr/include/UsageEnvironment/UsageEnvironment.hh
- usr/include/UsageEnvironment/UsageEnvironment_version.hh
- usr/include/UsageEnvironment/strDup.hh
- usr/include/groupsock/GroupEId.hh
- usr/include/groupsock/Groupsock.hh
- usr/include/groupsock/GroupsockHelper.hh
- usr/include/groupsock/IOHandlers.hh
- usr/include/groupsock/NetAddress.hh
- usr/include/groupsock/NetCommon.h
- usr/include/groupsock/NetInterface.hh
- usr/include/groupsock/groupsock_version.hh
- usr/include/liveMedia/AC3AudioFileServerMediaSubsession.hh
- usr/include/liveMedia/AC3AudioRTPSink.hh
- usr/include/liveMedia/AC3AudioRTPSource.hh
- usr/include/liveMedia/AC3AudioStreamFramer.hh
- usr/include/liveMedia/ADTSAudioFileServerMediaSubsession.hh
- usr/include/liveMedia/ADTSAudioFileSource.hh
- usr/include/liveMedia/ADTSAudioStreamDiscreteFramer.hh
- usr/include/liveMedia/AMRAudioFileServerMediaSubsession.hh
- usr/include/liveMedia/AMRAudioFileSink.hh
- usr/include/liveMedia/AMRAudioFileSource.hh
- usr/include/liveMedia/AMRAudioRTPSink.hh
- usr/include/liveMedia/AMRAudioRTPSource.hh
- usr/include/liveMedia/AMRAudioSource.hh
- usr/include/liveMedia/AVIFileSink.hh
- usr/include/liveMedia/AudioInputDevice.hh
- usr/include/liveMedia/AudioRTPSink.hh
- usr/include/liveMedia/Base64.hh
- usr/include/liveMedia/BasicUDPSink.hh
- usr/include/liveMedia/BasicUDPSource.hh
- usr/include/liveMedia/BitVector.hh
- usr/include/liveMedia/ByteStreamFileSource.hh
- usr/include/liveMedia/ByteStreamMemoryBufferSource.hh
- usr/include/liveMedia/ByteStreamMultiFileSource.hh
- usr/include/liveMedia/DVVideoFileServerMediaSubsession.hh
- usr/include/liveMedia/DVVideoRTPSink.hh
- usr/include/liveMedia/DVVideoRTPSource.hh
- usr/include/liveMedia/DVVideoStreamFramer.hh
- usr/include/liveMedia/DeviceSource.hh
- usr/include/liveMedia/DigestAuthentication.hh
- usr/include/liveMedia/FileServerMediaSubsession.hh
- usr/include/liveMedia/FileSink.hh
- usr/include/liveMedia/FramedFileSource.hh
- usr/include/liveMedia/FramedFilter.hh
- usr/include/liveMedia/FramedSource.hh
- usr/include/liveMedia/GSMAudioRTPSink.hh
- usr/include/liveMedia/GenericMediaServer.hh
- usr/include/liveMedia/H261VideoRTPSource.hh
- usr/include/liveMedia/H263plusVideoFileServerMediaSubsession.hh
- usr/include/liveMedia/H263plusVideoRTPSink.hh
- usr/include/liveMedia/H263plusVideoRTPSource.hh
- usr/include/liveMedia/H263plusVideoStreamFramer.hh
- usr/include/liveMedia/H264VideoFileServerMediaSubsession.hh
- usr/include/liveMedia/H264VideoFileSink.hh
- usr/include/liveMedia/H264VideoRTPSink.hh
- usr/include/liveMedia/H264VideoRTPSource.hh
- usr/include/liveMedia/H264VideoStreamDiscreteFramer.hh
- usr/include/liveMedia/H264VideoStreamFramer.hh
- usr/include/liveMedia/H264or5VideoFileSink.hh
- usr/include/liveMedia/H264or5VideoRTPSink.hh
- usr/include/liveMedia/H264or5VideoStreamDiscreteFramer.hh
- usr/include/liveMedia/H264or5VideoStreamFramer.hh
- usr/include/liveMedia/H265VideoFileServerMediaSubsession.hh
- usr/include/liveMedia/H265VideoFileSink.hh
- usr/include/liveMedia/H265VideoRTPSink.hh
- usr/include/liveMedia/H265VideoRTPSource.hh
- usr/include/liveMedia/H265VideoStreamDiscreteFramer.hh
- usr/include/liveMedia/H265VideoStreamFramer.hh
- usr/include/liveMedia/HLSSegmenter.hh
- usr/include/liveMedia/HMAC_SHA1.hh
- usr/include/liveMedia/HMAC_hash.hh
- usr/include/liveMedia/InputFile.hh
- usr/include/liveMedia/JPEG2000VideoRTPSink.hh
- usr/include/liveMedia/JPEG2000VideoRTPSource.hh
- usr/include/liveMedia/JPEGVideoRTPSink.hh
- usr/include/liveMedia/JPEGVideoRTPSource.hh
- usr/include/liveMedia/JPEGVideoSource.hh
- usr/include/liveMedia/Locale.hh
- usr/include/liveMedia/MIKEY.hh
- usr/include/liveMedia/MP3ADU.hh
- usr/include/liveMedia/MP3ADURTPSink.hh
- usr/include/liveMedia/MP3ADURTPSource.hh
- usr/include/liveMedia/MP3ADUTranscoder.hh
- usr/include/liveMedia/MP3ADUinterleaving.hh
- usr/include/liveMedia/MP3AudioFileServerMediaSubsession.hh
- usr/include/liveMedia/MP3FileSource.hh
- usr/include/liveMedia/MP3Transcoder.hh
- usr/include/liveMedia/MPEG1or2AudioRTPSink.hh
- usr/include/liveMedia/MPEG1or2AudioRTPSource.hh
- usr/include/liveMedia/MPEG1or2AudioStreamFramer.hh
- usr/include/liveMedia/MPEG1or2Demux.hh
- usr/include/liveMedia/MPEG1or2DemuxedElementaryStream.hh
- usr/include/liveMedia/MPEG1or2DemuxedServerMediaSubsession.hh
- usr/include/liveMedia/MPEG1or2FileServerDemux.hh
- usr/include/liveMedia/MPEG1or2VideoFileServerMediaSubsession.hh
- usr/include/liveMedia/MPEG1or2VideoRTPSink.hh
- usr/include/liveMedia/MPEG1or2VideoRTPSource.hh
- usr/include/liveMedia/MPEG1or2VideoStreamDiscreteFramer.hh
- usr/include/liveMedia/MPEG1or2VideoStreamFramer.hh
- usr/include/liveMedia/MPEG2IndexFromTransportStream.hh
- usr/include/liveMedia/MPEG2TransportFileServerMediaSubsession.hh
- usr/include/liveMedia/MPEG2TransportStreamAccumulator.hh
- usr/include/liveMedia/MPEG2TransportStreamDemux.hh
- usr/include/liveMedia/MPEG2TransportStreamFramer.hh
- usr/include/liveMedia/MPEG2TransportStreamFromESSource.hh
- usr/include/liveMedia/MPEG2TransportStreamFromPESSource.hh
- usr/include/liveMedia/MPEG2TransportStreamIndexFile.hh
- usr/include/liveMedia/MPEG2TransportStreamMultiplexor.hh
- usr/include/liveMedia/MPEG2TransportStreamTrickModeFilter.hh
- usr/include/liveMedia/MPEG2TransportUDPServerMediaSubsession.hh
- usr/include/liveMedia/MPEG4ESVideoRTPSink.hh
- usr/include/liveMedia/MPEG4ESVideoRTPSource.hh
- usr/include/liveMedia/MPEG4GenericRTPSink.hh
- usr/include/liveMedia/MPEG4GenericRTPSource.hh
- usr/include/liveMedia/MPEG4LATMAudioRTPSink.hh
- usr/include/liveMedia/MPEG4LATMAudioRTPSource.hh
- usr/include/liveMedia/MPEG4VideoFileServerMediaSubsession.hh
- usr/include/liveMedia/MPEG4VideoStreamDiscreteFramer.hh
- usr/include/liveMedia/MPEG4VideoStreamFramer.hh
- usr/include/liveMedia/MPEGVideoStreamFramer.hh
- usr/include/liveMedia/MatroskaFile.hh
- usr/include/liveMedia/MatroskaFileServerDemux.hh
- usr/include/liveMedia/Media.hh
- usr/include/liveMedia/MediaSession.hh
- usr/include/liveMedia/MediaSink.hh
- usr/include/liveMedia/MediaSource.hh
- usr/include/liveMedia/MediaTranscodingTable.hh
- usr/include/liveMedia/MultiFramedRTPSink.hh
- usr/include/liveMedia/MultiFramedRTPSource.hh
- usr/include/liveMedia/OggFile.hh
- usr/include/liveMedia/OggFileServerDemux.hh
- usr/include/liveMedia/OggFileSink.hh
- usr/include/liveMedia/OnDemandServerMediaSubsession.hh
- usr/include/liveMedia/OutputFile.hh
- usr/include/liveMedia/PassiveServerMediaSubsession.hh
- usr/include/liveMedia/ProxyServerMediaSession.hh
- usr/include/liveMedia/QCELPAudioRTPSource.hh
- usr/include/liveMedia/QuickTimeFileSink.hh
- usr/include/liveMedia/QuickTimeGenericRTPSource.hh
- usr/include/liveMedia/RTCP.hh
- usr/include/liveMedia/RTPInterface.hh
- usr/include/liveMedia/RTPSink.hh
- usr/include/liveMedia/RTPSource.hh
- usr/include/liveMedia/RTSPClient.hh
- usr/include/liveMedia/RTSPCommon.hh
- usr/include/liveMedia/RTSPRegisterSender.hh
- usr/include/liveMedia/RTSPServer.hh
- usr/include/liveMedia/RawVideoFrameParameters.hh
- usr/include/liveMedia/RawVideoRTPSink.hh
- usr/include/liveMedia/RawVideoRTPSource.hh
- usr/include/liveMedia/SIPClient.hh
- usr/include/liveMedia/SRTPCryptographicContext.hh
- usr/include/liveMedia/ServerMediaSession.hh
- usr/include/liveMedia/SimpleRTPSink.hh
- usr/include/liveMedia/SimpleRTPSource.hh
- usr/include/liveMedia/StreamReplicator.hh
- usr/include/liveMedia/T140TextRTPSink.hh
- usr/include/liveMedia/TLSState.hh
- usr/include/liveMedia/TextRTPSink.hh
- usr/include/liveMedia/TheoraVideoRTPSink.hh
- usr/include/liveMedia/TheoraVideoRTPSource.hh
- usr/include/liveMedia/VP8VideoRTPSink.hh
- usr/include/liveMedia/VP8VideoRTPSource.hh
- usr/include/liveMedia/VP9VideoRTPSink.hh
- usr/include/liveMedia/VP9VideoRTPSource.hh
- usr/include/liveMedia/VideoRTPSink.hh
- usr/include/liveMedia/VorbisAudioRTPSink.hh
- usr/include/liveMedia/VorbisAudioRTPSource.hh
- usr/include/liveMedia/WAVAudioFileServerMediaSubsession.hh
- usr/include/liveMedia/WAVAudioFileSource.hh
- usr/include/liveMedia/liveMedia.hh
- usr/include/liveMedia/liveMedia_version.hh
- usr/include/liveMedia/ourMD5.hh
- usr/include/liveMedia/uLawAudioFilter.hh
- usr/lib64/libBasicUsageEnvironment.9.so
- usr/lib64/libBasicUsageEnvironment.so
- usr/lib64/libUsageEnvironment.9.so
- usr/lib64/libUsageEnvironment.so
- usr/lib64/libgroupsock.9.so
- usr/lib64/libgroupsock.so
- usr/lib64/libliveMedia.9.so
- usr/lib64/libliveMedia.so
- var/db/pkg/media-plugins/live-2024.04.19/BDEPEND
- var/db/pkg/media-plugins/live-2024.04.19/BUILD_TIME
- var/db/pkg/media-plugins/live-2024.04.19/CATEGORY
- var/db/pkg/media-plugins/live-2024.04.19/CBUILD
- var/db/pkg/media-plugins/live-2024.04.19/CC
- var/db/pkg/media-plugins/live-2024.04.19/CFLAGS
- var/db/pkg/media-plugins/live-2024.04.19/CHOST
- var/db/pkg/media-plugins/live-2024.04.19/CONTENTS
- var/db/pkg/media-plugins/live-2024.04.19/COUNTER
- var/db/pkg/media-plugins/live-2024.04.19/CXXFLAGS
- var/db/pkg/media-plugins/live-2024.04.19/DEFINED_PHASES
- var/db/pkg/media-plugins/live-2024.04.19/DEPEND
- var/db/pkg/media-plugins/live-2024.04.19/DESCRIPTION
- var/db/pkg/media-plugins/live-2024.04.19/EAPI
- var/db/pkg/media-plugins/live-2024.04.19/FEATURES
- var/db/pkg/media-plugins/live-2024.04.19/HOMEPAGE
- var/db/pkg/media-plugins/live-2024.04.19/INHERITED
- var/db/pkg/media-plugins/live-2024.04.19/IUSE
- var/db/pkg/media-plugins/live-2024.04.19/IUSE_EFFECTIVE
- var/db/pkg/media-plugins/live-2024.04.19/KEYWORDS
- var/db/pkg/media-plugins/live-2024.04.19/LDFLAGS
- var/db/pkg/media-plugins/live-2024.04.19/LICENSE
- var/db/pkg/media-plugins/live-2024.04.19/NEEDED
- var/db/pkg/media-plugins/live-2024.04.19/PF
- var/db/pkg/media-plugins/live-2024.04.19/PROVIDES
- var/db/pkg/media-plugins/live-2024.04.19/RDEPEND
- var/db/pkg/media-plugins/live-2024.04.19/REQUIRES
- var/db/pkg/media-plugins/live-2024.04.19/SIZE
- var/db/pkg/media-plugins/live-2024.04.19/SLOT
- var/db/pkg/media-plugins/live-2024.04.19/USE
- var/db/pkg/media-plugins/live-2024.04.19/environment.bz2
- var/db/pkg/media-plugins/live-2024.04.19/live-2024.04.19.ebuild
- var/db/pkg/media-plugins/live-2024.04.19/repository
package_cacheimage: ""
runtime:
  name: live
  version: 2024.04.19
  category: media-plugins
  use_flags:
  - -libressl
  - ssl
  requires:
  - name: openssl
    version: '>=0'
    category: dev-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Libraries for standards-based RTP/RTCP/RTSP multimedia streaming
  uri:
  - http://www.live555.com/
  license: LGPL-2.1
  labels:
    BDEPEND: virtual/pkgconfig
    DEPEND: ssl? ( !libressl? ( dev-libs/openssl:0= ) libressl? ( dev-libs/libressl:0=
      ) )
    IUSE: libressl ssl
    RDEPEND: ssl? ( !libressl? ( dev-libs/openssl:0= ) libressl? ( dev-libs/libressl:0=
      ) )
    emerge.packages: media-plugins/live
    kit: media-kit
    original.package.name: media-plugins/live
    original.package.slot: "0"
    original.package.version: 2024.04.19
